

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.40. object_exist &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.3.41. object_inspect" href="object_inspect.html" />
    <link rel="prev" title="7.3.39. normalizer_list" href="normalizer_list.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/object_exist.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="object_inspect.html" title="7.3.41. object_inspect"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="normalizer_list.html" title="7.3.39. normalizer_list"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.40. </span><code class="docutils literal notranslate"><span class="pre">object_exist</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="object-exist">
<h1><span class="section-number">7.3.40. </span><code class="docutils literal notranslate"><span class="pre">object_exist</span></code><a class="headerlink" href="#object-exist" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.40.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 5.0.6 で追加.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">object_exist</span></code> は指定した名前のオブジェクトがデータベースに存在するかどうかを返します。</p>
<p>これは軽い操作です。データベース内に名前が存在するかだけをチェックします。ディスクから該当オブジェクトをロードしません。</p>
<p><code class="docutils literal notranslate"><span class="pre">object_exist</span></code> はオブジェクトの種類をチェックしません。存在しているオブジェクトはテーブルかもしれませんし、カラムや関数かもしれません。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.40.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドの引数は1つで必須です:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>object_exist name
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.40.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>データベース内で指定した名前がすでに使われているかをチェックできます。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>object_exist Users
# [[0, 1337566253.89858, 0.000355720520019531], false]
table_create Users TABLE_HASH_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
object_exist Users
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">object_exist</span> <span class="pre">Users</span></code> は <code class="docutils literal notranslate"><span class="pre">Users</span></code> テーブルを作る前は <code class="docutils literal notranslate"><span class="pre">false</span></code> を返します。</p>
<p><code class="docutils literal notranslate"><span class="pre">object_exist</span> <span class="pre">Users</span></code> は <code class="docutils literal notranslate"><span class="pre">Users</span></code> テーブルを作った後は <code class="docutils literal notranslate"><span class="pre">true</span></code> を返します。</p>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.40.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このセクションではすべての引数について説明します。</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.40.4.1. </span>必須引数<a class="headerlink" href="#required-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>必須の引数は1つです。</p>
<div class="section" id="name">
<span id="object-exist-name"></span><h4><span class="section-number">7.3.40.4.1.1. </span><code class="docutils literal notranslate"><span class="pre">name</span></code><a class="headerlink" href="#name" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>チェック対象のオブジェクト名を指定してください。</p>
<p>カラムが存在するかどうかをチェックしたいときは、次のように <code class="docutils literal notranslate"><span class="pre">テーブル名.カラム名</span></code> という書式を使ってください。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create Logs TABLE_NO_KEY
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Logs timestamp COLUMN_SCALAR Time
# [[0, 1337566253.89858, 0.000355720520019531], true]
object_exist Logs.timestamp
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">Logs.timestamp</span></code> 内の <code class="docutils literal notranslate"><span class="pre">Logs</span></code> がテーブル名で <code class="docutils literal notranslate"><span class="pre">timestamp</span></code> がカラム名です。</p>
</div>
</div>
<div class="section" id="optional-parameters">
<h3><span class="section-number">7.3.40.4.2. </span>省略可能引数<a class="headerlink" href="#optional-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>省略可能な引数はありません。</p>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.40.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>データベース内に指定した名前のオブジェクトが存在するときは、このコマンドは以下のようにボディとして <code class="docutils literal notranslate"><span class="pre">true</span></code> を返します:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, true]
</pre></div>
</div>
<p>そうでない場合は <code class="docutils literal notranslate"><span class="pre">false</span></code> を返します:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, false]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code> については <a class="reference internal" href="../command/output_format.html"><span class="doc">出力形式</span></a> を参照してください。</p>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.40. <code class="docutils literal notranslate"><span class="pre">object_exist</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.40.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.40.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.40.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.3.40.4. 引数</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.40.4.1. 必須引数</a><ul>
<li><a class="reference internal" href="#name">7.3.40.4.1.1. <code class="docutils literal notranslate"><span class="pre">name</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#optional-parameters">7.3.40.4.2. 省略可能引数</a></li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.40.5. 戻り値</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="normalizer_list.html"
                        title="前の章へ"><span class="section-number">7.3.39. </span><code class="docutils literal notranslate"><span class="pre">normalizer_list</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="object_inspect.html"
                        title="次の章へ"><span class="section-number">7.3.41. </span><code class="docutils literal notranslate"><span class="pre">object_inspect</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="object_inspect.html" title="7.3.41. object_inspect"
             >次へ</a> |</li>
        <li class="right" >
          <a href="normalizer_list.html" title="7.3.39. normalizer_list"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.40. </span><code class="docutils literal notranslate"><span class="pre">object_exist</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>